Page MenuHomePhabricator

Maximizing windows is broken in wayland.
Closed, ResolvedPublic

Description

As the title suggests. I know you know it but i file the bug to get an update when you fix it.

ApB created this task.Mar 12 2016, 3:32 AM
ApB reopened this task as Open.Mar 12 2016, 11:05 AM

Minor glitch introduced.

Everytime you maximize and unmaximize the window moves up and to the left.
To reproduce:
move a window to 0,0 (top left)
maximize and then unmaximize
you see it moves outside the screen

ApB added a comment.Mar 18 2016, 3:48 AM

While the moving of up and left is fixed the whole thing is still glitchy. If you maximize and minimize two or three times the window moves by a few pixels instead of being in the initial position.

Also the animation (max min) became jerky.

ApB added a comment.EditedApr 2 2016, 4:01 AM

Update:

The moving stopped but now the window gets smaller after a sequence of max and mins.

ApB added a comment.Apr 8 2016, 5:40 AM

Update 2:

Only a jerky animation seems to be the only issue.